> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a signed asset URL

> Get a fresh signed download URL for an uploaded session asset by its asset ID.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/artifacts/assets/{assetId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/artifacts/assets/{assetId}:
    get:
      tags:
        - Artifacts
      summary: Retrieve a signed asset URL
      description: >-
        Get a fresh signed download URL for an uploaded session asset by its
        asset ID.
      operationId: retrieveArtifactAssetUrl
      parameters:
        - in: path
          name: assetId
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          description: Retrieve a signed asset URL
          content:
            application/json:
              schema:
                type: object
                properties:
                  assetId:
                    type: string
                    format: uuid
                  assetUrl:
                    type: string
                    format: uri
                required:
                  - assetId
                  - assetUrl
                additionalProperties: false
        '400':
          description: >-
            Invalid request or missing required organization or user
            information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Artifact, session, or backing asset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Artifact operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
      x-codeSamples:
        - lang: typescript
          label: TypeScript SDK
          source: >
            import Tembo from '@tembo-io/sdk';


            const client = new Tembo();


            const artifact = await
            client.artifacts.retrieveAssetURL('7c9e6679-7425-40de-944b-e07fc1f90ae7');
        - lang: rust
          label: Rust SDK
          source: |
            use tembo_rs::*;

            let client = Tembo::from_env()?;

            let response = client
                .artifacts()
                .retrieve_asset_url("7c9e6679-7425-40de-944b-e07fc1f90ae7")
                .send()
                .await?;
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.